/*
 * @Author: Kane
 * @Date: 2022-04-22 17:33:30
 * @LastEditors: Kane
 * @LastEditTime: 2022-04-25 21:33:07
 * @FilePath: \DisasterWarning\src\main\java\com\cpic\xim\config\db\OracleConfig.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.config.db;

import java.util.Vector;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Description oracle数据库相关参数对象。
 */
public class OracleConfig
{

    public String getTnsName()
    {
        return tnsName;
    }

    public void setTnsName( String tnsName )
    {
        this.tnsName = tnsName;
    }

    public String getIpAddr()
    {
        return ipAddr;
    }

    public void setIpAddr( String ipAddr )
    {
        this.ipAddr = ipAddr;
    }

    public String getJdbcURL()
    {
        return jdbcURL;
    }

    public void setJdbcURL( String jdbcURL )
    {
        this.jdbcURL = jdbcURL;
    }


    public String getTableSpace()
    {
        return tableSpace;
    }

    public void setTableSpace( String tableSpace )
    {
        this.tableSpace = tableSpace;
    }

    public String getUserName()
    {
        return userName;
    }

    public void setUserName( String userName )
    {
        this.userName = userName;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword( String password )
    {
        this.password = password;
    }

    public Vector<DBTable> getTables()
    {
        return tables;
    }

    public void setTables( Vector<DBTable> tables )
    {
        this.tables = tables;
    }

    @JsonProperty( "tns_name")
    private String tnsName;

    @JsonProperty( "ip_addr")
    private String ipAddr;

    @JsonProperty( "jdbc_url")
    private String jdbcURL;

    @JsonProperty( "table_space")
    private String tableSpace;

    @JsonProperty( "user_name")
    private String userName;

    @JsonProperty( "password")
    private String password;

    @JsonProperty( "tables")
    private Vector<DBTable> tables;
}
